<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_374bf250a2cd0" . "0d5f5742fea7c4" . "87197" => base64_decode("ZG9jdW1lb" . "nRfdGl0bG" . "U="), "_af9f5df6df6e4ab6fd5318e" . "899627078" => base64_decode("ZG9jdW1" . "lbnRfdH" . "lwZQ=="));
use Claromentis\Core\Event\GenericEvent;


class ViewDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_374bf250a2cd00d5f5742fea7c4" . "87197"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_af9f5df6df6e4ab6" . "fd5318e899627078"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}